part of 'check_phone_form_bloc.dart';

@freezed
class CheckPhoneFormState with _$CheckPhoneFormState {
  const factory CheckPhoneFormState({
    required String phoneNumber,
    required Option<Either<AuthFailure, CheckPhone>> failureOrCheckPhoneOption,
    @Default(false) bool isSubmitting,
    @Default(false) bool showErrorMessages,
  }) = _CheckPhoneFormState;

  factory CheckPhoneFormState.initial() =>
      CheckPhoneFormState(phoneNumber: '', failureOrCheckPhoneOption: none());
}
